## helma.doc
Class DocApplication

    java.lang.Object
      helma.doc.DocElement
          helma.doc.DocApplication

    public class DocApplication

extends DocElement

Field Summary

Fields inherited from class helma.doc.DocElement
`ACTION, APPLICATION, FUNCTION, MACRO, PROPERTIES, PROTOTYPE, SKIN, TEMPLATE, typeNames`

Constructor Summary
`DocApplication(Application app)` Creates a new DocApplication object.

Method Summary
`void` `addExclude(java.lang.String str)`
`java.lang.String` `getElementName()` from helma.framework.IPathElement, overridden with "api" to work in manage-application
`java.lang.Object` `getParentElement()` from helma.framework.IPathElement, overridden with Server.getServer() to work in manage-application
`boolean` `isExcluded(java.lang.String name)`
`DocElement[]` `listFunctions()`
`void` `readApplication()` reads all prototypes and files of the application

Methods inherited from class helma.doc.DocElement
`addChild, addParameter, addTag, countChildren, debug, getChildElement, getChildren, getComment, getContent, getDocApplication, getName, getPrototype, getType, getTypeName, hasParameter, listChildren, listParameters, listTags, listTags, setParent, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocApplication

    public DocApplication(Application app)

  Creates a new DocApplication object.

Method Detail

### addExclude

    public void addExclude(java.lang.String str)

  Parameters:
    `str` - ...

### isExcluded

    public boolean isExcluded(java.lang.String name)

  Parameters:
    `name` - ...
  Returns:
    ...

### readApplication

    public void readApplication()
                         throws java.io.IOException

  reads all prototypes and files of the application

  Throws:
    `java.io.IOException`

### listFunctions

    public DocElement[] listFunctions()

  Returns:
    ...

### getElementName

    public java.lang.String getElementName()

  from helma.framework.IPathElement, overridden with "api" to work in manage-application

  Overrides:
    `getElementName` in class `DocElement`

### getParentElement

    public java.lang.Object getParentElement()

  from helma.framework.IPathElement, overridden with Server.getServer() to work in manage-application

  Overrides:
    `getParentElement` in class `DocElement`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.